Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Process Manager (Stardust) » Appropriate Mysql Version INNODB Error(Appropriate Mysql Version INNODB Error)
Appropriate Mysql Version INNODB Error [message #756697] Mon, 14 November 2011 17:34 Go to next message
Vikram Kodak is currently offline Vikram Kodak
Messages: 57
Registered: October 2011
Member
Hi,

We are getting following error while using the sysconsole command to create the Stardust DB schema on MySQL.

Error creating table 'XXXXX.process_trigger'. Reason: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version f
or the right syntax to use near 'TYPE=InnoDB' at line 1
Re: Appropriate Mysql Version INNODB Error [message #756698 is a reply to message #756697] Mon, 14 November 2011 17:35 Go to previous message
Vikram Kodak is currently offline Vikram Kodak
Messages: 57
Registered: October 2011
Member
There are MySQL versions that do not accept the type=INNODB at the end of "create table" statements anymore. However, this would imply that you are using a MySQL version that was not tested with your Stardust version (check the release notes).
If this is indeed the problem, then there is a workaround: Spool the SQL statements into a file as mentioned below (sysconsole ddl f ipp.sql) and replace "type=INNODB" with "engine=INNODB".
Previous Topic:Eclipse shows feature installation history although reinstalled
Next Topic:Connect to SQLServer through JDBC using Windows Authentication
Goto Forum:
  


Current Time: Sat Oct 25 07:16:23 GMT 2014

Powered by FUDForum. Page generated in 0.01492 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software